Skip to main content
GET
/
v1
/
providers
/
{providerId}
Get provider by ID
curl --request GET \
  --url https://api.yield.xyz/v1/providers/{providerId} \
  --header 'x-api-key: <api-key>'
{
  "name": "Morpho",
  "id": "morpho",
  "logoURI": "https://morpho.xyz/logo.png",
  "description": "A peer-to-peer DeFi lending protocol",
  "website": "https://morpho.xyz",
  "tvlUsd": "10,200,000",
  "type": "protocol",
  "references": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://yieldxyz.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

providerId
string
required

Response

Provider details

name
string
required

Provider name

Example:

"Morpho"

id
string
required

Provider ID

Example:

"morpho"

logoURI
string
required

Provider logo URI

Example:

"https://morpho.xyz/logo.png"

description
string
required

Short description of the provider

Example:

"A peer-to-peer DeFi lending protocol"

website
string
required

Provider website

Example:

"https://morpho.xyz"

tvlUsd
object
required

Total TVL across the entire provider in USD

Example:

"10,200,000"

type
enum<string>
required

Type of provider (protocol or validator provider)

Available options:
protocol,
validator_provider
Example:

"protocol"

references
string[] | null

Optional social/media references or audit links